Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::GraphicsDeviceComboInformation Class Reference

グラフィックスデバイスコンボ情報 More...

`#include <GraphicsDeviceComboInformation.h>`

List of all members.

## Public Member Functions
virtual D3DFORMAT | getAdapterFormat ()
| アダプタフォーマットの取得
virtual D3DFORMAT | getBackBufferFormat ()
| バックバッファフォーマットの取得
virtual bool | isWindowed ()
| ウィンドウフラグの取得
virtual int | getAdapterOrdinal ()
| アダプタ番号の取得
virtual D3DDEVTYPE | getDeviceType ()
| デバイスタイプの取得
virtual int | getDepthStencilFormatCount () const
| 深度、ステンシルフォーマット数の取得
virtual D3DFORMAT | getDepthStencilFormat (int index)
| 深度、ステンシルフォーマットの取得
virtual int | getMultiSampleTypeCount () const
| マルチサンプルタイプ数の取得
virtual D3DMULTISAMPLE_TYPE | getMultiSampleType (int index)
| マルチサンプルタイプの取得
virtual u_int | getMultiSampleTypeQuality (int index)
| マルチサンプルタイプのクォリティの取得
virtual int | getMultiSampleConflictCount () const
| マルチサンプルコンフリクト数の取得
virtual D3DFORMAT | getMultiSampleConflictFormat (int index)
| マルチサンプルコンフリクトフォーマットの取得
virtual D3DMULTISAMPLE_TYPE | getMultiSampleConflictType (int index)
| マルチサンプルコンフリクトタイプの取得
virtual int | getVertexProcessingTypeCount () const
| 頂点プロセスタイプ数の取得
virtual VertexProcessingType | getVertexProcessingType (int index)
| 頂点プロセスタイプの取得
virtual int | getPresentationIntervalCount () const
| プレゼンテーション間隔数の取得
virtual u_int | getPresentationInterval (int index)
| プレゼンテーション間隔の取得
virtual String | toString ()
| 文字列への変換
## Protected Member Functions
| GraphicsDeviceComboInformation (D3DFORMAT adapterFormat, D3DFORMAT backBufferFormat, bool isWindowed)
| コンストラクタ
virtual | ~GraphicsDeviceComboInformation ()
| デストラクタ
virtual bool | enumerate (GraphicsDeviceEnumeration *enumeration, GraphicsDeviceInformation *deviceInformation)
| 列挙
virtual void | buildDepthStencilFormats (u_int minimumDepthBits, u_int minimumStencilBits)
| 深度、ステンシルフォーマットの構築
virtual void | buildMultiSampleType ()
| マルチサンプルタイプの構築
virtual void | buildMultiSampleConflict ()
| マルチサンプルコンフリクトの構築
virtual void | buildVertexProcessingType (const D3DCapacity &deviceCapability, bool usesMixedVertexProcessing, ConfirmGraphicsDevice *confirmDevice)
| 頂点プロセスタイプの構築
virtual void | buildPresentationInterval (const D3DCapacity &deviceCapability)
| プレゼンテーション間隔の構築
## Friends
class | GraphicsDeviceInformation

## Detailed Description

グラフィックスデバイスコンボ情報

Definition at line 41 of file GraphicsDeviceComboInformation.h.

## Member Function Documentation

void Lamp::GraphicsDeviceComboInformation::buildDepthStencilFormats | ( | u_int | minimumDepthBits,
|  | u_int | minimumStencilBits
| ) | `[protected, virtual]`

  | 深度、ステンシルフォーマットの構築 Parameters:
  minimumDepthBits | 最小深度ビット
  minimumStencilBits | 最小ステンシルビット
Definition at line 80 of file GraphicsDeviceComboInformation.cpp. References Lamp::ArrayList< D3DFORMAT >::add(), Direct3D, DirectXSucceeded, Lamp::GraphicsBufferFormat::getDepthBits(), Lamp::GraphicsBufferFormat::getStencilBits(), and u_int. Referenced by enumerate().

void Lamp::GraphicsDeviceComboInformation::buildPresentationInterval | ( | const D3DCapacity & | deviceCapability | ) | `[protected, virtual]`

  | プレゼンテーション間隔の構築 Parameters:
  deviceCapability | デバイス能力
Definition at line 214 of file GraphicsDeviceComboInformation.cpp. References Lamp::ArrayList< u_int >::add(), and u_int. Referenced by enumerate().

void Lamp::GraphicsDeviceComboInformation::buildVertexProcessingType | ( | const D3DCapacity & | deviceCapability,
|  | bool | usesMixedVertexProcessing,
|  | ConfirmGraphicsDevice * | confirmDevice
| ) | `[protected, virtual]`

  | 頂点プロセスタイプの構築 Parameters:
  deviceCapability | デバイス能力
  usesMixedVertexProcessing | 混合頂点プロセスを使用するならtrue
  confirmDevice | デバイス確認インターフェース
Definition at line 173 of file GraphicsDeviceComboInformation.cpp. References Lamp::ArrayList< VertexProcessingType >::add(), and Lamp::ConfirmGraphicsDevice::confirmGraphicsDevice(). Referenced by enumerate().

bool Lamp::GraphicsDeviceComboInformation::enumerate | ( | GraphicsDeviceEnumeration * | enumeration,
|  | GraphicsDeviceInformation * | deviceInformation
| ) | `[protected, virtual]`

  | 列挙 Parameters:
  enumeration | グラフィックスデバイス列挙
  deviceInformation | グラフィックスデバイス情報
Returns: 列挙が成功すればtrue Definition at line 46 of file GraphicsDeviceComboInformation.cpp. References buildDepthStencilFormats(), buildMultiSampleConflict(), buildMultiSampleType(), buildPresentationInterval(), buildVertexProcessingType(), Lamp::GraphicsDeviceInformation::getAdapterOrdinal(), Lamp::GraphicsDeviceEnumeration::getConfirmGraphicsDevice(), getDepthStencilFormatCount(), Lamp::GraphicsDeviceInformation::getDeviceCapability(), Lamp::GraphicsDeviceInformation::getDeviceType(), Lamp::GraphicsDeviceEnumeration::getMinimumDepthBits(), Lamp::GraphicsDeviceEnumeration::getMinimumStencilBits(), getMultiSampleTypeCount(), Lamp::GraphicsDeviceEnumeration::getUsesDepthStencilBuffer(), Lamp::GraphicsDeviceEnumeration::getUsesMixedVertexProcessing(), getVertexProcessingTypeCount(), and u_int. Referenced by Lamp::GraphicsDeviceInformation::enumerate().

virtual D3DFORMAT Lamp::GraphicsDeviceComboInformation::getAdapterFormat | ( |  | ) | `[inline, virtual]`

| アダプタフォーマットの取得 Returns: アダプタフォーマット Definition at line 49 of file GraphicsDeviceComboInformation.h. Referenced by Lamp::GraphicsDeviceCapacity::deviceReset(), Lamp::DesktopGraphicsDeviceSelector::findBestFullscreenMode(), and Lamp::DesktopGraphicsDeviceSelector::findBestWindowedMode().

virtual int Lamp::GraphicsDeviceComboInformation::getAdapterOrdinal | ( |  | ) | `[inline, virtual]`

| アダプタ番号の取得 Returns: アダプタ番号 Definition at line 68 of file GraphicsDeviceComboInformation.h.

virtual D3DFORMAT Lamp::GraphicsDeviceComboInformation::getBackBufferFormat | ( |  | ) | `[inline, virtual]`

| バックバッファフォーマットの取得 Returns: バックバッファフォーマット Definition at line 55 of file GraphicsDeviceComboInformation.h. Referenced by Lamp::GraphicsDeviceCapacity::deviceReset(), Lamp::DesktopGraphicsDeviceSelector::findBestFullscreenMode(), Lamp::DesktopGraphicsDeviceSelector::findBestWindowedMode(), and Lamp::GraphicsDeviceSettings::getBackBufferFormat().

virtual D3DFORMAT Lamp::GraphicsDeviceComboInformation::getDepthStencilFormat | ( | int | index | ) | `[inline, virtual]`

  | 深度、ステンシルフォーマットの取得 Parameters:
  index | インデックス
Returns: 深度、ステンシルフォーマット Definition at line 90 of file GraphicsDeviceComboInformation.h. References Lamp::ArrayList< D3DFORMAT >::get(). Referenced by Lamp::GraphicsDeviceSelector::buildFullscreenModeSettings(), buildMultiSampleConflict(), and Lamp::GraphicsDeviceSelector::buildWindowModeSettings().

virtual int Lamp::GraphicsDeviceComboInformation::getDepthStencilFormatCount | ( |  | ) | const`[inline, virtual]`

| 深度、ステンシルフォーマット数の取得 Returns: 深度、ステンシルフォーマット数 Definition at line 81 of file GraphicsDeviceComboInformation.h. References Lamp::ArrayList< D3DFORMAT >::getCount(). Referenced by buildMultiSampleConflict(), and enumerate().

virtual D3DDEVTYPE Lamp::GraphicsDeviceComboInformation::getDeviceType | ( |  | ) | `[inline, virtual]`

| デバイスタイプの取得 Returns: デバイスタイプ Definition at line 74 of file GraphicsDeviceComboInformation.h. Referenced by Lamp::DesktopGraphicsDeviceSelector::findBestFullscreenMode(), and Lamp::DesktopGraphicsDeviceSelector::findBestWindowedMode().

virtual int Lamp::GraphicsDeviceComboInformation::getMultiSampleConflictCount | ( |  | ) | const`[inline, virtual]`

| マルチサンプルコンフリクト数の取得 Returns: マルチサンプルと深度、ステンシルフォーマットとのコンフリクト数 Definition at line 128 of file GraphicsDeviceComboInformation.h. References Lamp::ArrayList< D3DFORMAT >::getCount().

virtual D3DFORMAT Lamp::GraphicsDeviceComboInformation::getMultiSampleConflictFormat | ( | int | index | ) | `[inline, virtual]`

  | マルチサンプルコンフリクトフォーマットの取得 Parameters:
  index | インデックス
Returns: マルチサンプルとコンフリクトした深度、ステンシルフォーマット Definition at line 137 of file GraphicsDeviceComboInformation.h. References Lamp::ArrayList< D3DFORMAT >::get().

virtual D3DMULTISAMPLE_TYPE Lamp::GraphicsDeviceComboInformation::getMultiSampleConflictType | ( | int | index | ) | `[inline, virtual]`

  | マルチサンプルコンフリクトタイプの取得 Parameters:
  index | インデックス
Returns: 深度、ステンシルフォーマットとコンフリクトしたマルチサンプルタイプ Definition at line 146 of file GraphicsDeviceComboInformation.h. References Lamp::ArrayList< D3DMULTISAMPLE_TYPE >::get().

virtual D3DMULTISAMPLE_TYPE Lamp::GraphicsDeviceComboInformation::getMultiSampleType | ( | int | index | ) | `[inline, virtual]`

  | マルチサンプルタイプの取得 Parameters:
  index | インデックス
Returns: マルチサンプルタイプ Definition at line 108 of file GraphicsDeviceComboInformation.h. References Lamp::ArrayList< D3DMULTISAMPLE_TYPE >::get(). Referenced by Lamp::GraphicsDeviceSelector::buildFullscreenModeSettings(), buildMultiSampleConflict(), and Lamp::GraphicsDeviceSelector::buildWindowModeSettings().

virtual int Lamp::GraphicsDeviceComboInformation::getMultiSampleTypeCount | ( |  | ) | const`[inline, virtual]`

| マルチサンプルタイプ数の取得 Returns: マルチサンプルタイプ数 Definition at line 99 of file GraphicsDeviceComboInformation.h. References Lamp::ArrayList< D3DMULTISAMPLE_TYPE >::getCount(). Referenced by buildMultiSampleConflict(), and enumerate().

virtual u_int Lamp::GraphicsDeviceComboInformation::getMultiSampleTypeQuality | ( | int | index | ) | `[inline, virtual]`

  | マルチサンプルタイプのクォリティの取得 マルチサンプルタイプのクォリティ数はgetMultiSampleTypeCount()で取得する。 Parameters:
  index | インデックス
Returns: マルチサンプルタイプのクォリティ Definition at line 119 of file GraphicsDeviceComboInformation.h. References Lamp::ArrayList< u_int >::get(), and u_int.

virtual u_int Lamp::GraphicsDeviceComboInformation::getPresentationInterval | ( | int | index | ) | `[inline, virtual]`

  | プレゼンテーション間隔の取得 Parameters:
  index | インデックス
Returns: プレゼンテーション間隔 Definition at line 182 of file GraphicsDeviceComboInformation.h. References Lamp::ArrayList< u_int >::get(), and u_int. Referenced by Lamp::GraphicsDeviceSelector::buildFullscreenModeSettings(), and Lamp::GraphicsDeviceSelector::buildWindowModeSettings().

virtual int Lamp::GraphicsDeviceComboInformation::getPresentationIntervalCount | ( |  | ) | const`[inline, virtual]`

| プレゼンテーション間隔数の取得 Returns: プレゼンテーション間隔数 Definition at line 173 of file GraphicsDeviceComboInformation.h. References Lamp::ArrayList< u_int >::getCount().

virtual VertexProcessingType Lamp::GraphicsDeviceComboInformation::getVertexProcessingType | ( | int | index | ) | `[inline, virtual]`

  | 頂点プロセスタイプの取得 Parameters:
  index | インデックス
Returns: 頂点プロセスタイプ Definition at line 164 of file GraphicsDeviceComboInformation.h. References Lamp::ArrayList< VertexProcessingType >::get(). Referenced by Lamp::GraphicsDeviceSelector::buildFullscreenModeSettings(), and Lamp::GraphicsDeviceSelector::buildWindowModeSettings().

virtual int Lamp::GraphicsDeviceComboInformation::getVertexProcessingTypeCount | ( |  | ) | const`[inline, virtual]`

| 頂点プロセスタイプ数の取得 Returns: 頂点プロセスタイプ数 Definition at line 155 of file GraphicsDeviceComboInformation.h. References Lamp::ArrayList< VertexProcessingType >::getCount(). Referenced by enumerate().

virtual bool Lamp::GraphicsDeviceComboInformation::isWindowed | ( |  | ) | `[inline, virtual]`

| ウィンドウフラグの取得 Returns: ウィンドウフラグ Definition at line 61 of file GraphicsDeviceComboInformation.h. Referenced by Lamp::DesktopGraphicsDeviceSelector::findBestFullscreenMode(), and Lamp::DesktopGraphicsDeviceSelector::findBestWindowedMode().

String Lamp::GraphicsDeviceComboInformation::toString | ( |  | ) | `[virtual]`

| 文字列への変換 Returns: GraphicsDeviceComboInformationの文字列表記 Definition at line 247 of file GraphicsDeviceComboInformation.cpp. References Lamp::String::format(), Lamp::String::getBytes(), and Lamp::GraphicsBufferFormat::getName(). Referenced by Lamp::GraphicsDeviceSelector::buildFullscreenModeSettings(), and Lamp::GraphicsDeviceSelector::buildWindowModeSettings().

The documentation for this class was generated from the following files:

- GraphicsDeviceComboInformation.h
- GraphicsDeviceComboInformation.cpp